<template>
  <section class="col-md-9 col-12">
<!--    <search-scope-select-bar-->
<!--      :config="searchFiltersConfig"-->
<!--    />-->
    <search-filters
      :config="searchFiltersConfig"
    />
    <selectedFacetsOverview v-if="getFacets" :selected-facets="getFacets" :available-facets="getAvailableFacets" />
    <dataset-details-skeleton v-if="getLoading" type="Catalogues" />
    <template v-if="!getLoading">
      <catalogues-list-infos />
      <catalogues-list />
    </template>
  </section>
</template>

<script>

import {
  DatasetDetailsSkeleton,
  SelectedFacetsOverview,
} from "@piveau/piveau-hub-ui-modules";
import SearchFilters from "@/components/search/search-filters/SearchFilters";
import {mapGetters} from "vuex";
import CataloguesListInfos from "@/components/search/catalogues/CataloguesListInfos";
import CataloguesList from "@/components/search/catalogues/CataloguesList";
// import SearchScopeSelectBar from "@/components/search/search-filters/SearchScopeSelectBar";

export default {
  name: "CataloguesContent",
  components: {
    CataloguesList,
    CataloguesListInfos,
    SearchFilters,
    DatasetDetailsSkeleton,
    SelectedFacetsOverview,
    // SearchScopeSelectBar
  },
  data() {
    return {
      searchFiltersConfig: {
        scope: "catalogue",
        useScopeDropdown: true,
        textKeys: {
          mobileSearchButton: 'message.datasets.ecd.filters.search',
          textFieldPlaceholder: 'message.catalogs.searchBar.placeholder',
          count: "message.catalogs.countMessage",
          loading: "message.catalogs.loadingMessage"
        },
        getQuery: ["catalogs", "getQuery"],
        setQuery: ["catalogs", "setQuery"],
        setSort: ["catalogs", "setSort"],
        getCount: ["catalogs", "getCatalogsCount"],
        getLoading: ["catalogs", "getLoading"],
        getFacets: ["catalogs", "getFacets"],
      }
    }
  },
  computed: {
    ...mapGetters("catalogs", ["getFacets", "getAvailableFacets",
      "getLoading", "getDatasetsCount"])
  }
}
</script>
